| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.ignore Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ignore:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ignore:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Treat a control flow node as always successful, equivalent to (a | ~ a).

Definition at line 142 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.ignore.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 146 of file ControlFlow.py.

146 def __init__(self, item):
147 self.item = item
148
GaudiConfig.ControlFlow.ignore.item
item
Definition: ControlFlow.py:147
GaudiConfig.ControlFlow.ignore.__init__
def __init__(self, item)
Definition: ControlFlow.py:146

## Member Function Documentation

def GaudiConfig.ControlFlow.ignore.__repr__ | ( |  | self | ) |

Definition at line 149 of file ControlFlow.py.

149 def __repr__(self):
150 return "ignore(%r)" % self.item
151
GaudiConfig.ControlFlow.ignore.item
item
Definition: ControlFlow.py:147
GaudiConfig.ControlFlow.ignore.__repr__
def __repr__(self)
Definition: ControlFlow.py:149

def GaudiConfig.ControlFlow.ignore._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 152 of file ControlFlow.py.

152 def _visitSubNodes(self, visitor):
153 self.item.visitNode(visitor)
154
155
GaudiConfig.ControlFlow.ignore._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:152

## Member Data Documentation

GaudiConfig.ControlFlow.ignore.item

Definition at line 147 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py